Community
Maya Forum
Welcome to Autodesk’s Maya Forums. Share your knowledge, ask questions, and explore popular Maya topics.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Maya 2023 Rocky Linux ADLSDK_STATUS_LICENSE_CHECKOUT_ERROR

18 REPLIES 18
SOLVED
Reply
Message 1 of 19
mattiaV47AQ
2026 Views, 18 Replies

Maya 2023 Rocky Linux ADLSDK_STATUS_LICENSE_CHECKOUT_ERROR

Hi there,

At the moment we able to run maya 2022  with licencing using credentials subscription filling the pop up windows showing in the first start.

 

We are starting to migrate into maya 2023 and in windows machine works like a charm.

into linux machines no windows popup showing up to fill and we got an error listed below:

 

/usr/autodesk/maya2023/bin/maya
maya: Autodesk MAYA 2023

A licensing error occurred that Autodesk systems were not able to handle for you. Please contact Autodesk Customer Support for help in resolving this error.

adlsdkAuthorize returned with error code: ADLSDK_STATUS_LICENSE_CHECKOUT_ERROR

The default location for log files to help diagnose the issue is:
"/usr/tmp/MayaCLM-29-06-2022.log"

 

/usr/tmp/MayaCLM-29-06-2022.log

022-06-29 11:41:21: ====== BEGIN MAYA CLM LICENSE DIAGNOSTICS (level 2) ======
2022-06-29 11:41:21: INFO: MAYA VERSION: Autodesk MAYA 2023
2022-06-29 11:41:21: INFO: Desktop Licensing Runtime Version: 6.3.1.44
2022-06-29 11:41:21: INFO: Desktop Licensing API version in Maya: 6.3.1.44
2022-06-29 11:41:21: INFO: initialize: GetInstance (Success)
2022-06-29 11:41:21: INFO: Received LicenseUpdateCallback for Maya 2023 (ADLSDK_UPDATE_REASON_LICENSE_UPDATE): NOT Authorized
2022-06-29 11:41:21: ERROR: Error Information: Maya 2023 : this product has not been registered with the licensing service yet
2022-06-29 11:41:21: ERROR: adlsdkAuthorize returned with error code: ADLSDK_STATUS_LICENSE_CHECKOUT_ERROR
2022-06-29 11:41:21: ERROR: checkinLicense: unable to release authentication handle
2022-06-29 11:41:21: INFO: shutdown: normal exit

 

Using Linux Rocky distro is possible to run maya 2022 and 2023 licenced with the same subsciption as windows machine?

Distributor ID: Rocky
Description: Rocky Linux release 8.6 (Green Obsidian)
Release: 8.6
Codename: GreenObsidian

 

in windows machine both software are working.

 

Thanks 

M

 

18 REPLIES 18
Message 2 of 19
mattiaV47AQ
in reply to: mattiaV47AQ

solved,

 

forcing product key by commnad line  to 657N1(maya2022) to 657O1(maya2023)

  

sudo /opt/Autodesk/AdskLicensing/Current/helper/AdskLicensingInstHelper register -pk 657O1 -pv 2023.0.0.F -el EN_US -cf /var/opt/Autodesk/Adlm/Maya2023/MayaConfig.pit

 

 

Message 3 of 19
TacosLibres
in reply to: mattiaV47AQ

yup, that helped

Message 4 of 19
unocastillo
in reply to: mattiaV47AQ

Could you pleas help me to install maya 2023 on Rocky linux?. i just don´t work

Message 5 of 19
mattiaV47AQ
in reply to: unocastillo

Hi Unocastillio

 

list out your output from terminal.

what error do u get?

 

for sure you need to resolve these dependencies recommended by autodesk

 

https://knowledge.autodesk.com/support/maya/learn-explore/caas/CloudHelp/cloudhelp/2023/ENU/Maya-Ins...

 

best
Tia

Message 6 of 19
unocastillo
in reply to: mattiaV47AQ

At one point I got an error, but then it disappeared. I have installed all
the necessary dependencies. if I run maya 2023 from the terminal it just
doesn't give any error, it just freezes there and nothing happens. That's
why I'm so lost
Message 7 of 19
TacosLibres
in reply to: unocastillo

Try to open a terminal and launch maya with GBD mode. This is with no gui. I'm wondering what specs your machine has or if the drivers to your graphics card have been installed.

 

cd to your /usr/autodesk folder where your maya install is and then type

 

"./maya -d gdb"

 

you can paste whatever it shows in a following post to know what is preventing the app to launch properly

Message 8 of 19
unocastillo
in reply to: TacosLibres

Executing: gdb /usr/autodesk/maya2023/bin/maya.bin
Could not find platform independent libraries <prefix>
Could not find platform dependent libraries <exec_prefix>
Consider setting $PYTHONHOME to <prefix>[:<exec_prefix>]
Python path configuration:
PYTHONHOME = (not set)
PYTHONPATH = (not set)
program name = '/usr/bin/python'
isolated = 0
environment = 1
user site = 1
import site = 1
sys._base_executable = '/usr/bin/python'
sys.base_prefix = '/home/S/cpython/install/cpython/3.9.7/RelWithDebInfo'
sys.base_exec_prefix = '/home/S/cpython/install/cpython/3.9.7/RelWithDebInfo'
sys.platlibdir = 'lib'
sys.executable = '/usr/bin/python'
sys.prefix = '/home/S/cpython/install/cpython/3.9.7/RelWithDebInfo'
sys.exec_prefix = '/home/S/cpython/install/cpython/3.9.7/RelWithDebInfo'
sys.path = [
'/home/S/cpython/install/cpython/3.9.7/RelWithDebInfo/lib/python39.zip',
'/home/S/cpython/install/cpython/3.9.7/RelWithDebInfo/lib/python3.9',
'/home/S/cpython/install/cpython/3.9.7/RelWithDebInfo/lib/lib-dynload',
]
Fatal Python error: init_fs_encoding: failed to get the Python codec of the filesystem encoding
Python runtime state: core initialized
ModuleNotFoundError: No module named 'encodings'

Current thread 0x00007fc59dacd080 (most recent call first):
<no Python frame>

Message 9 of 19
TacosLibres
in reply to: unocastillo

Have you used a Linux distro before?

 

Terminal

cd /usr/autodesk/maya2023/bin

maya2023 -d gdb

 

or

 

maya -d gdb

 

maya.bin is not going to work

 

Can you post a screenshot of what you're doing. I have my suspicions

Message 10 of 19
unocastillo
in reply to: TacosLibres

unocastillo_0-1674010707832.png

 

Message 11 of 19
unocastillo
in reply to: unocastillo

unocastillo_0-1674010802283.png

 

Message 12 of 19
TacosLibres
in reply to: mattiaV47AQ

To me it seems that you're trying to use python as in windows, and cpython running from home directory is not going to bring you to any way.

 

For starters, install the python version compatible with Maya the  3.9

Follow this tutorial

https://kifarunix.com/install-python-on-rocky-linux-8/

 

Once you're sure is installed you might be missing some libraries. Open a text editor, gedit if you're in gnome.

Copy from the following link the library in each bullet point, remove each bullet point and separate them in spaces. Once you have all list like in a paragraph, select and copy all the text

https://knowledge.autodesk.com/support/maya/learn-explore/caas/CloudHelp/cloudhelp/2023/ENU/Maya-Ins...

In terminal type:

sudo dnf install

 

and then, give a space after the word  install, then  right click in the terminal and paste the list that  you copied before, and hit enter.

 

It may ask your root user, that's fine. Some of them might be installed, some others don't.

Run maya again, and then you will get into the common shared libraries, with that you're a step closer.

 

Depending on the libraries that are share or non existent you may need to either install them or relink them

 

check your folder /usr/lib64 if you have it, create the simlink, if don't, install it.


Run Maya again, if it complains let say, libtif.so it share or doesn't exist

 

Terminal is your ally

 

sudo ln -s /usr/lib64/libtiff.so.5.2.0 /usr/lib64/libtiff.so

 

Careful, I don't know which version of libtiff you have, it might be different the one you have, That's why you have to check /usr/lib64 folder, and replace it with the one maya asks

 

Repeat this step with all the missing or simlinks the app asks until maya launches

 

and you may think . . oh no! How complicated, but actually Linux is teaching you that is saving resources not multiplying unnecessary resources, saving space and it will crash less since it will use the needed libs and things. It may take you some time, looking for answers in forums or videos, but in the end it will be worth it.

 

Send screenshots when you continue having issues.

Message 13 of 19
unocastillo
in reply to: TacosLibres

Firts of all thank you very much for your help.

I have followed your recommendations and here is what has happened with each step.

I already have python 3.9 installed

unocastillo_0-1674051405708.png


Then I installed all the libraries from the link you gave me, everything was already installed except 3 of them

unocastillo_1-1674051530826.pngunocastillo_2-1674051558344.png

as you can see it is in spanish, but what it says is "Error: no result could be found: lsb-core libpcre16 gamin".

I think it is not possible to install any of these packets because I am on Rocky linux 9. so I think I've reached the end of this road. 😞

.

Message 14 of 19
TacosLibres
in reply to: unocastillo

hola, no había notado que eran en español tus preguntas.

 

A veces hay que buscar las versions -dev gamin-dev

 

Sería probar correr Maya aunque esos paquetes no existan. A lo mejor los remplazan

¿Necesitas Rocky Linux para usar Maya? Si quieres usar una distro sencilla, Endeavour OS fue muy rápido y pues hay scriots que te ayudan a que sea sencillo todo. Es prueba y error, pero de alguna manera se ha poder. Tu versión de Rocky es mas nueva, es seguro que se hayan las librerias que te hacen falta o vienen instaladas o se pueden instalar con otros paquetes. Malo es cuando estas tratando de instalar Maya la version mas reciente en una distro vieja.

Pero bueno, si quieres usar Rocky, ha de ser por algo, dudo mucho que sea por gusto, no es muy comoda de usar la verdad. Yo tenìa Rocky 8.7 y me cambié a Arch

Message 15 of 19
unocastillo
in reply to: mattiaV47AQ

Oye que bien que podamos hablar en español, muchas gracias por todos tus concejos y por todo el tiempo que te has tomado para explicarme.

 Pues mira la verdad apenas voy a volver a usar Maya, hace años lo usaba mucho pero me pase a Blender. Resulta que ahora entre a una escuela digital para aprender mas a fondo animación, y se usa Maya, no le vi problema pues sabia que Maya corria en Linux, pero pues desafortunadamente no fue así.

Por ahí encontré algunos artículos acerca de como tomar librerias viejas y hacerlas correr en Rocky linux 9, pero la cosa se viene complicando mucho y yo no soy programador, ni tampoco me quiero volver uno, yo hago 3D y efectos visuales y con eso para mi ya es suficiente LOL. No quería romper mi distro por la verdad que me funciona muy bien hasta ahora.

Rocky Linux 9 no me parece que de problemas la verdad, aqui corro Nuke, Mari, Blender, Houdini, Davinci Resolve y todo va muy bien. Hasta ahora solo maya no se le ha dado la gana correr. Antes Usaba Pop_Os, esa distro es bastante amigable, pero es un derivado de Ubuntu y Maya parece tampoco soportarlo, tuve algunos problemas con Pop_Os y por ello me pase a Rocky.  Rocky Linux y Alma Linux son los sucesores de CentOS y toooodos los paquetes profesionales siempre recomiendan CentOs o Red Hat, por ello me cambie. Pensé pasarme a Rocky linux 8.5 pero este ya no tiene soporte, tiene problemas de seguridad y  Bugs, en un foro de Rocky linux me recomendaron mejor no hacerlo. Asi que nada, toco resignarme. Tengo dual boot así que también tengo Win 11 para estos casos de aplicaciones que no les gusta trabajar con Linux, aunque la verdad poco me gusta usar Win.

Aunque suena difícil la verdad el curso de animación lo importante son los conceptos, así que espero aprender y luego aplicarlos en blender.

Es una lastima que Maya solo ofrezca soporte para Rocky linux 8.5 cuando esta ya ni siquiera tiene soporte por el mismo Rocky linux. Rocky linux ya va en  su version 9.1.

Por ahora estudiare bajo Win, porque la verdad estoy muy estable con linux 9.1 y no deseo ponerme otra vez a cambiar de distro.

Ese es mi panorama por ahora.

Message 16 of 19
TacosLibres
in reply to: mattiaV47AQ

Todos esos programas que dices se instalan en repositorio de AUR

 

https://aur.archlinux.org/packages?O=0&K=nuke
https://aur.archlinux.org/packages/davinci-resolve

 

Lo que veo con Archlinux y su AUR es que te hace todo mas sencillo para usar. Me acuerdo que para instalar mi Nvidia en Rocky lo tuve que correr desde el .run desactivandole la interfaz gráfica y volviendosela a activar.

Este que te digo, Endevaour OS me instalo los controladores privativos inciando el boot privativo y creo que con el que mas batallé fue con Substance painter porque Adobe matò el soporte oficial para linux.

 

A mi lo que me falta la verdad para correr Maya de nuevo es una licencia, terminé la escuela y se acabó la versión de estudiante, que legalmente esta sumamnete caro. Pero si, yo ya lo tengo listo para usar.

No digo que desinstales windows 11, si puedes hacer boot a Rocky esta bien, aprende maya  y los programas. En un fin de semana o cuando pasen los examenes y tengas tiempo. Si te recomiendo que veas esa distribución, es mas estable que Manjaro y elije la versión LTS. Puedes ir haciendo lentamente tu transición.

 

Blender pues, si, por ser gratuito es mi aliado en las batallas, pero digo, si pudiera adquirir maya de nuevo, es un excelente programa.

 

Tu hechale ganas, aprende y cuando tengas respaldo, tiempo, pruebas esa u otra, pero si el AUR es muy bonito, mas que los flatpaks porque te encuentras un sinfin de programas clandestinos que aveces se nos atora compilar algo y gente que ya hizo los aur ya lo resolvió y es dificil que falle.

Si quieres mandame mensaje privado y te envío mi usuario de Telegram

 

Buen día.

 

Message 17 of 19
unocastillo
in reply to: TacosLibres

Pues las cosas con Rocky Linux según me cuentas han cambiado muchísimo. Yo
he instalado todo sin absolutamente ningún lío. Drivers de nVidia y
programas solo debo descargarlos y ya. No he batallado con nada.

Claro que si te busco por privado para lo de telegram. Saludos
Message 18 of 19
joaquim.moral
in reply to: mattiaV47AQ

Hola @unocastillo y @TacosLibres,

Gracias por participar en la Comunidad en Autodesk.

 

Dado el interés de vuestra conversación para la comunidad, os animaría a que participéis en la Comunidad en Español, así como que incluyáis una traducción al inglés de vuestras respuestas, si participáis en los foros en inglés, de esta manera toda la comunidad podrá entender las aportaciones.

 

Gracias y hasta pronto,

 

Hello @unocastillo and @TacosLibres,

Thank you for participating in the Community at Autodesk.

Given the interest of your conversation for the community, I would encourage you to participate in the Community in Spanish, as well as to include an English translation of your answers, if you participate in the forums in English, in this way the entire community will be able to understand the contributions.

 

Thanks,

Translated by Google Translate

¿Te ha parecido útil este post? ¡Deja un like!
¿Tu pregunta ha sido solucionada? Selecciona 'Marcar como solución' y ayuda a las demás a encontrar fácilmente la información.

You found a post helpful? Then feel free to give likes to these posts!
Your question got successfully answered? Then just click on the 'Mark as solution'


Joaquim Moral
Community Manager
Spanish Community & English - AutoCAD Electrical, Mechanical and Plant 3D products

Message 19 of 19
licensing
in reply to: mattiaV47AQ

We are getting this with 2023 as well on CentOS 7.9. Issuing that AdskLicensingInstHelper gets this error:

 

Error (13) for adlmPITSetProductInformation_2: PRODUCTS information is not found

 

Any thoughts?

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums